Summary: driver for floppy tape drives
URL: http://www-math.math.rwth-aachen.de/~LBFM/claus/ftape
Vendor:  Claus-Justus Heine <claus@momo.math.rwth-aachen.de>
Packager: David Hayes <david@hayes-family.org>
Name: ftape
Version: 3.04d
Release: 4
Group: Base/Kernel
Copyright: GNU
Source: ftp://sunsite.unc.edu/pub/Linux/kernel/tapes/ftape-3.04d.tar.gz
Patch: ftape-3.04d-4.patch
ExclusiveArch: i386
ExclusiveOS: Linux
Requires: kernel = 2.0.32
BuildRoot: /tmp/ftape304d
%description
Ftape is a driver for tape drives that connect to the floppy
controller of your computer. There also exist special `floppy tape
controllers' that operate at a higher data rate, but these are (more or
less) floppy disk controllers that are located at a hardware address
that differs from the one used by the standard floppy disk controller.

%prep
%setup
%patch -p1

%build
rm -rf $RPM_BUILD_ROOT
make

%install
RPM_OS_VERS=`uname -r`
DEV_DIR=$RPM_BUILD_ROOT/dev
INFO_DIR=$RPM_BUILD_ROOT/usr/info
MAN_DIR=$RPM_BUILD_ROOT/usr/man
MOD_DIR=$RPM_BUILD_ROOT/lib/modules/ftape-$RPM_PACKAGE_VERSION
BIN_DIR=$RPM_BUILD_ROOT/bin
UBIN_DIR=$RPM_BUILD_ROOT/usr/bin
SBIN_DIR=$RPM_BUILD_ROOT/sbin

install -d -m 0755 $DEV_DIR
install -d -m 0755 $INFO_DIR
install -d -m 0755 $MAN_DIR
install -d -m 0755 $MAN_DIR/man1
install -d -m 0755 $MOD_DIR
install -d -m 0755 $BIN_DIR
install -d -m 0755 $SBIN_DIR
install -d -m 0755 $UBIN_DIR

install    -o root -g bin -m 0755 modules/ftape.o $MOD_DIR
install    -o root -g bin -m 0755 modules/zftape.o $MOD_DIR
install    -o root -g bin -m 0755 modules/zft-compressor.o $MOD_DIR

install -s -o root -g bin -m 0755 contrib/gnumt/mt $BIN_DIR/mt
install    -o root -g bin -m 0644 contrib/gnumt/mt.1 $MAN_DIR/man1

install -s -o root -g bin -m 0755 contrib/ftformat/ftformat $UBIN_DIR
install    -o root -g bin -m 0644 contrib/ftformat/ftformat.man $MAN_DIR/man1/ftformat.1

install -s -o root -g bin -m 0755 contrib/swapout/swapout $SBIN_DIR

install -s -o root -g bin -m 0755 contrib/vtblc/vtblc $UBIN_DIR

sh contrib/scripts/MAKEDEV.ftape 27 $DEV_DIR
chmod a+rw $DEV_DIR/*ft?

%clean
echo cleaning

%post
KVER=`uname -r`
PKGVER=3.04d
ln -f /lib/modules/ftape-$PKGVER/*.o /lib/modules/$KVER/misc
/sbin/depmod -a

%preun
KVER=`uname -r`
rm -f /lib/modules/$KVER/misc/zft-compressor.o
rm -f /lib/modules/$KVER/misc/zftape.o
rm -f /lib/modules/$KVER/misc/ftape.o

%postun
/sbin/depmod -a

%files
/dev/*
/lib/modules/ftape-3.04d
/sbin/*
/bin/*
/usr/bin/*
%doc /usr/man/man1/*
%doc Doc/html
%doc BUGS COPYING ChangeLog
%doc Ftape-FAQ
%doc INSTALL
%doc README README.PCI
%doc RELEASE-NOTES TODO
%doc README.rpm
